// Visit the wiki for more info - https://kubejs.com/
console.info('Hello, World! (Loaded server example script)')

ServerEvents.tags('item', event => {
    //add #cobblemon:redstone_blocks to supplimentaries stuff
    //event.add('cobblemon:redstone_blocks', '')
    event.add('cobblemon:redstone_blocks', 'minecraft:crafter')
    
    event.add('cobblemon:redstone_blocks', 'minecraft:copper_bulb')
    event.add('cobblemon:redstone_blocks', 'minecraft:exposed_copper_bulb')
    event.add('cobblemon:redstone_blocks', 'minecraft:weathered_copper_bulb')
    event.add('cobblemon:redstone_blocks', 'minecraft:oxidized_copper_bulb')

    event.add('cobblemon:redstone_blocks', 'minecraft:waxed_copper_bulb')
    event.add('cobblemon:redstone_blocks', 'minecraft:waxed_exposed_copper_bulb')
    event.add('cobblemon:redstone_blocks', 'minecraft:waxed_weathered_copper_bulb')
    event.add('cobblemon:redstone_blocks', 'minecraft:waxed_oxidized_copper_bulb')

    event.add('cobblemon:redstone_blocks', 'supplementaries:relayer')
    event.add('cobblemon:redstone_blocks', 'supplementaries:cog_block')
    event.add('cobblemon:redstone_blocks', 'supplementaries:redstone_illuminator')

    event.add('cobblemon:redstone_blocks', 'vista:television')

    event.add('cobblemon:redstone_blocks', 'malum:wavecharger')
    event.add('cobblemon:redstone_blocks', 'malum:wavebanker')
    event.add('cobblemon:redstone_blocks', 'malum:wavemaker')
    event.add('cobblemon:redstone_blocks', 'malum:wavebreaker')

    event.add('cobblemon:redstone_blocks', 'ars_nouveau:redstone_relay')
    event.add('cobblemon:redstone_blocks', 'create:redstone_contact')
    event.add('cobblemon:redstone_blocks', 'create:redstone_link')
    event.add('cobblemon:redstone_blocks', 'createaddition:redstone_relay')
    event.add('cobblemon:redstone_blocks', 'create:pulse_extender')
    event.add('cobblemon:redstone_blocks', 'create:pulse_repeater')
    event.add('cobblemon:redstone_blocks', 'create:pulse_timer')
})


